com.unitech.lib.event.params

## Class BarcodeEventArgs

- java.lang.Object
- - com.unitech.lib.event.params.BarcodeEventArgs

-     public class BarcodeEventArgs
      extends Object

  Encapsulates the data associated with a barcode event.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BarcodeInfoId[]` | `barcodeInfoIds` An array of BarcodeInfoId that contains information about the barcode event.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarcodeEventArgs()`
    `BarcodeEventArgs(BarcodeID barcodeId, byte[] data, Date timestamp)` Constructs a new BarcodeEventArgs object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BarcodeID` | `getBarcodeId()`
    `byte[]` | `getData()`
    `Date` | `getTimestamp()`
    `boolean` | `isContains(BarcodeInfoId infoId)` Checks if the BarcodeInfoId is contained in the barcodeInfoIds array.
    `void` | `setBarcodeID(BarcodeID barcodeId)`
    `void` | `setData(byte[] data)`
    `void` | `setTimestamp(Date timestamp)`
    `String` | `toString()` Returns a string representation of the BarcodeEventArgs object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### barcodeInfoIds

          public BarcodeInfoId[] barcodeInfoIds

      An array of BarcodeInfoId that contains information about the barcode event.

  - ### Constructor Detail

    - #### BarcodeEventArgs

          public BarcodeEventArgs()

    - #### BarcodeEventArgs

          public BarcodeEventArgs(BarcodeID barcodeId,
                                  byte[] data,
                                  Date timestamp)

      Constructs a new BarcodeEventArgs object.
      Parameters:
        `barcodeId` - The BarcodeID associated with the event.
        `data` - The data associated with the event.
        `timestamp` - The timestamp of the event.

  - ### Method Detail

    - #### getBarcodeId

          public BarcodeID getBarcodeId()

    - #### setBarcodeID

          public void setBarcodeID(BarcodeID barcodeId)

    - #### getData

          public byte[] getData()

    - #### setData

          public void setData(byte[] data)

    - #### getTimestamp

          public Date getTimestamp()

    - #### setTimestamp

          public void setTimestamp(Date timestamp)

    - #### isContains

          public boolean isContains(BarcodeInfoId infoId)

      Checks if the BarcodeInfoId is contained in the barcodeInfoIds array.
      Parameters:
        `infoId` - The BarcodeInfoId to check for.
      Returns:
        true if the infoId is found in the barcodeInfoIds array, false otherwise.

    - #### toString

          public String toString()

      Returns a string representation of the BarcodeEventArgs object.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the object.